Name:		mapserver
Version: 4.2.1
Release:	1mdk
Summary:	Web-based Map Server
Source:		http://cvs.gis.umn.edu/dist/%{name}-%{version}.tar.bz2
URL:		http://mapserver.gis.umn.edu/
License:	GPL
Group:		Sciences/Geosciences
BuildRequires:	libproj-devel libgdal-devel %{?_with_php: php-devel} curl-devel
BuildRequires:	freetype2-devel gd-devel >= 2.0.12
Requires:	webserver
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MapServer is an  OpenSource development environment for building spatially 
enabled Internet applications. The software builds upon other popular 
OpenSource or freeware systems like Shapelib, FreeType, Proj.4, libTIFF, 
Perl and others.

The MapServer CGI application provides a significant number of 
"out-of-the-box" features. Here's a sampling:

* vector formats supported: ESRI shapefiles, simple embedded features, 
  ESRI ArcSDE (alpha release)
* raster formats supported (8-bit only): TIFF/GeoTIFF, GIF, PNG, ERDAS, 
  JPEG and EPPL7
* quadtree spatial indexing for shapefiles
* fully customizable, template driven output
* feature selection by item/value, point, area or another feature
* TrueType font support
* support for tiled raster and vector data (display only)
* automatic legend and scalebar building
* scale dependent feature drawing and application execution
* thematic map building using logical or regular expression based classes
* feature labeling including label collision mediation
* on-the-fly configuration via URLs
* on-the-fly projection

MapServer is not a full-featured GIS system, nor does it aspire to be. 
It does, however, provide enough core functionality to support a wide 
variety of web applications. Beyond browsing GIS data, MapServer allows 
you create "geographic image maps", that is, maps that can direct users 
to content.

%prep
%setup -q

%build
%configure --with-proj --with-gdal --with-ogr --with-wmsclient \
	--with-wfsclient %{?_with_php: --with-php=/usr/include/php}
perl -pi -e 's,/usr/local,\$(DESTDIR)/%{_prefix},g' Makefile

# not buildable in //
make

%install
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}/%{name}-3.5
%makeinstall_std

install -d %{buildroot}/%{_var}/www/cgi-bin
install -d %{buildroot}/%{_var}/www/html/mapserver/tmp
install -m755 mapserv shp2img shp2pdf legend shptree shptreevis \
 shptreetst scalebar sortshp tile4ms %{buildroot}/%{_var}/www/cgi-bin

%files
%defattr(-,root,root)
%exclude %{_includedir}/*
%{_var}/www/cgi-bin/*
%dir %{_var}/www/html/mapserver
%attr(755,apache,apache) %{_var}/www/html/mapserver/tmp
%doc INSTALL README HISTORY.TXT

%clean
rm -Rf %{buildroot}

%changelog
* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 4.2.1-1mdk
- New release 4.2.1
- rpmbuildupdate aware

* Sat Aug 09 2003 Buchan Milne <bgmilne@linux-mandrake.com> 4.0-1mdk
- 4.0

* Tue Mar 18 2003 Buchan Milne <bgmilne@linux-mandrake.com> 3.6.4-1mdk
- First Mandrake package
